package com.persagy.netty.client;

import com.persagy.netty.codec.ObjDecoder;
import com.persagy.netty.codec.ObjEncoder;
import com.persagy.service.IAlarmRecordService;

import io.netty.channel.ChannelInitializer;
import io.netty.channel.socket.SocketChannel;


public class CenterChannelInitializer extends ChannelInitializer<SocketChannel> {
    private final NettyClient nettyClient;
    private final IAlarmRecordService alarmRecordService;

    public CenterChannelInitializer(NettyClient nettyClient, IAlarmRecordService alarmRecordService) {
        this.nettyClient = nettyClient;
        this.alarmRecordService = alarmRecordService;
    }

    @Override
    protected void initChannel(SocketChannel channel) throws Exception {
//        channel.pipeline().addLast(new IdleStateHandler(0,60,0, TimeUnit.SECONDS));
        //对象传输处理
        channel.pipeline().addLast(new ObjDecoder());
        // 在管道中添加我们自己的接收数据实现方法
        channel.pipeline().addLast(new CenterClientHandler(nettyClient, alarmRecordService));
        channel.pipeline().addLast(new ObjEncoder());
    }

}
